lucene-java-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Amin Farajian <ma.faraj...@gmail.com>
Subject Issue with installing PyLucene 6.5.0
Date Mon, 23 Oct 2017 16:21:13 GMT
Hi all,

I recently moved to python3, so I'm trying to install the recent version of
Pylucene (version 6.5.0) which is compatible with python3.

But, to install the jcc I get the following error which I have no idea why
it occurs:

jcc3/sources/jcc.cpp: In function ‘PyObject* t_jccenv_strhash(PyObject*,
PyObject*)’:
jcc3/sources/jcc.cpp:214:27: error: expected ‘)’ before ‘PRIxMAX’
     sprintf(buffer, "%0*" PRIxMAX, (int) hexdig, hash);
                           ^
jcc3/sources/jcc.cpp:214:54: warning: conversion lacks type at end of
format [-Wformat=]
     sprintf(buffer, "%0*" PRIxMAX, (int) hexdig, hash);
                                                      ^
jcc3/sources/jcc.cpp:214:54: warning: too many arguments for format
[-Wformat-extra-args]
error: command 'gcc' failed with exit status 1


Do you have any idea about this issue?

Thank you in advance,
Amin

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message